Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.client.event
Class DrawBlockHighlightEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.client.event.DrawBlockHighlightEvent

    public class DrawBlockHighlightEvent

extends Event

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`RenderGlobal` | `context`
`ItemStack` | `currentItem`
`float` | `partialTicks`
`EntityPlayer` | `player`
`int` | `subID`
`MovingObjectPosition` | `target`

Constructor Summary
`DrawBlockHighlightEvent(RenderGlobal context, EntityPlayer player, MovingObjectPosition target, int subID, ItemStack currentItem, float partialTicks)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    public final RenderGlobal context

### player

    public final EntityPlayer player

### target

    public final MovingObjectPosition target

### subID

    public final int subID

### currentItem

    public final ItemStack currentItem

### partialTicks

    public final float partialTicks

Constructor Detail

### DrawBlockHighlightEvent

    public DrawBlockHighlightEvent(RenderGlobal context,
                                   EntityPlayer player,
                                   MovingObjectPosition target,
                                   int subID,
                                   ItemStack currentItem,
                                   float partialTicks)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD